# Get account balances

Endpoint: GET /v1/domains/{domainId}/accounts/{accountId}/balances
Security: httpAuth

## Security:

  - `httpAuth` (unknown)
    http bearer

## Path parameters:

  - `domainId` (string, required)
    Unique identifier for the domain.

  - `accountId` (string, required)

## Query parameters:

  - `limit` (integer)
    The number of entities to return.

  - `startingAfter` (string)
    Ticker id used to the determine beginning of query results.

  - `sortBy` (string)
    Property name used to sort the query results.

  - `sortOrder` (string)
    Sort order applied to the query results.

  - `ticker.id` (array)
    Return balances of tickers with this id for the account.

  - `ticker.name` (array)
    Return balances of tickers with this name for the account.

  - `ticker.symbol` (array)
    Return balances of tickers with this symbol for the account.

  - `ticker.ledgerId` (array)
    Return balances matching given ledger ids.

  - `ticker.validationStatus` (string)
    Return transfers with ticker matching the requested validation status

  - `ticker.lock` (array)
    Return transfers with ticker matching given lock status.

## Response 200 fields (application/json):

  - `items` (array, required)

  - `items.accountReference` (object, required)

  - `items.accountReference.id` (string, required)

  - `items.accountReference.domainId` (string, required)

  - `items.tickerId` (string, required)

  - `items.totalAmount` (string, required)
    This field is a large integer that can be positive or zero. It is represented as a string because it may contain value that cannot be expressed with JSON number without a loss of precision.

  - `items.reservedAmount` (string, required)
    This field is a large integer that can be positive or zero. It is represented as a string because it may contain value that cannot be expressed with JSON number without a loss of precision.

  - `items.quarantinedAmount` (string, required)
    This field is a large integer that can be positive or zero. It is represented as a string because it may contain value that cannot be expressed with JSON number without a loss of precision.

  - `items.lastUpdatedAt` (string, required)

  - `count` (integer, required)

  - `currentStartingAfter` (string)

  - `nextStartingAfter` (string)

## Response 400:

  - `400` (unknown)
    One of: Domain locked (DomainLockedError); Requester locked (RequesterLockedError)

## Response 400 fields (application/json):

  - `reason` (string, required)

  - `message` (string)

## Response 401:

  - `401` (unknown)
    One of: Invalid JWT (InvalidJwtError); User not authorized (PermissionDeniedError)

## Response 401 fields (application/json):

  - `reason` (string, required)

  - `message` (string)

## Response 404:

  - `404` (unknown)
    Entity or Domain not found (EntityNotFoundError)

## Response 404 fields (application/json):

  - `reason` (string, required)

  - `message` (string)

## Response 409:

  - `409` (unknown)
    One of: Account not processed (AccountNotProcessed); Account not ready yet (AccountNotReady)

## Response 409 fields (application/json):

  - `reason` (string, required)

  - `message` (string)

